Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.qare.qhome.db
Class DBExportDelegation

    java.lang.Object
      |
      +--com.jxml.qare.qhome.db.DBExportDelegation

public class DBExportDelegation
extends Object

Field Summary
`String` | `application`
`Date` | `aquisitionDate`
`int` | `delegationCount`
`int` | `delegationDepth`
`int` | `delegationDistance`
`int` | `delegationLimit`
`String` | `delegee`
`String` | `grandGrantor`
`String` | `grantor`
`String` | `parentProject`
`String` | `privilege`
`String` | `project`
`String` | `system`
`String` | `user`

Constructor Summary
`DBExportDelegation()`
`DBExportDelegation(String localUser, String apps, String privilege, String grantor, String grandGrantor, String delegee, String projectName, String parentProject, Date aquisitionDate, int delegationLimit, int delegationCount, int delegationDepth, int delegationDistance)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### user

    public String user

### application

    public String application

### privilege

    public String privilege

### system

    public String system

### grandGrantor

    public String grandGrantor

### grantor

    public String grantor

### delegee

    public String delegee

### project

    public String project

### parentProject

    public String parentProject

### aquisitionDate

    public Date aquisitionDate

### delegationLimit

    public int delegationLimit

### delegationCount

    public int delegationCount

### delegationDepth

    public int delegationDepth

### delegationDistance

    public int delegationDistance

Constructor Detail

### DBExportDelegation

    public DBExportDelegation()

### DBExportDelegation

    public DBExportDelegation(String localUser,
                              String apps,
                              String privilege,
                              String grantor,
                              String grandGrantor,
                              String delegee,
                              String projectName,
                              String parentProject,
                              Date aquisitionDate,
                              int delegationLimit,
                              int delegationCount,
                              int delegationDepth,
                              int delegationDistance)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD